
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解决ajax只触发一次不更新缓存的解决方法 / iVAN</title>

    <meta name="description" content="解决ajax只触发一次不更新缓存的解决方法 ajax|解决|缓存 今天在做JSP与后台连接,用的是DOJO的默认AJAX提交代码,开始是读出了数据,后来我改后数据库里的数据,再次 出发刚才的数据时,发现前台调用了方法,后来却无动于衷.在查了些资料后找到了解决方案 因为是XMLHTTPREQUEST的缓存问题如果用GET 方式来向之前提交的地址提交数据时 回读取之前读出的数据 而不会到后台去重新读取数据  解决方法有二 1 就是把method 改成POST 2 如果你一定要用GET的的话  那就在你的提交参数最后面加个随即数,最常用的就是加">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解决ajax只触发一次不更新缓存的解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ajax|解决|缓存</p>
<p>今天在做JSP与后台连接,用的是DOJO的默认AJAX提交代码,开始是读出了数据,<br />后来我改后数据库里的数据,再次 出发刚才的数据时,发现前台调用了方法,后来却无动于衷.在查了些资料后找到了解决方案</p>
<p>因为是XMLHTTPREQUEST的缓存问题<br />如果用GET 方式来向之前提交的地址提交数据时 回读取之前读出的数据 而不会到后台去重新读取数据  解决方法有二</p>
<p>1 就是把method 改成POST</p>
<p>2 如果你一定要用GET的的话  那就在你的提交参数最后面加个随即数,最常用的就是加上当前的时间 &amp;a="+new Date().getTime()  在参数后面加上这个</p>
<p>就解决了</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-15 04:16:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e5%90%8e%e5%8f%b0/" title="后台">后台</a>, <a href="https://www.iamivan.net/tag/%e5%90%8e%e9%9d%a2/" title="后面">后面</a>, <a href="https://www.iamivan.net/tag/ajax%e8%a7%a3%e5%86%b3%e7%bc%93%e5%ad%98/" title="ajax解决缓存">ajax解决缓存</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解决ajax只触发一次不更新缓存的解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8L18p.html" rel="bookmark">如何解决Ajax访问不断变化的session的值不一致以及HTTP协议中的GET、POST的区别&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在做一个进度条的时候遇到一个问题,我在session里面存放了一个计数器,当爬取到一条数据的时候这个值+1,然后前台每隔3s中获取一次session的这个值,但是问题出来了,在FF下面,得到的值都是正常的,但是在IE下面死活都是之前的值,只有当重新打开页面的时候才能获取到最新的 session值: 下面是我的proBar.jsp的代码: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvNd1M.html" rel="bookmark">实战浅析解决网站只收录首页的四大方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站只收录了首页相信很多站长遇到过这样的问题,笔者也不赖,同样遇到这样的问题.出现只收录了首页的原因是啥呢?其实最主要的是网站本身的问题,如ROBOT文件设置不当.外链质量不高等许多自己还不清楚的原因.那么怎么解决这样的问题呢?其实很简单,笔者经历了一个星期的找原因,终于解决了这个大难题,今天笔者分享一下解决的心得:   先上效果图 一.检查ROBOTS文件设置 对于ROBOTS文件的设置不当造成网站只收录了首页确实给笔者造成很大的困绕,毕竟笔者也试过删掉ROBOTS文件看看是不是ROBOTS文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxJJrb.html" rel="bookmark">ajax提交到servelt获取参数有乱码的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了ajax提交到servelt获取参数有乱码的解决方法,需要的朋友可以参考下 在这里,假设读者了解基本的    ajax    技术或更多.我仅仅阐述一个现象,一个解决方法:原因.    原理,同样不清楚    --    我们先从简单的着手,    servlet传值到JSP页面js    脚本中,利用脚本将相关值显示在页面.解决这个方向(servlet--javascript)的中文乱码问题很简单.只需要在    servlet中,添加一个    编码设置:   代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3EJBM.html" rel="bookmark">jquery&period;ajax的url中传递中文乱码问题的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对jquery.ajax的url中传递中文乱码问题的解决方法进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 JQuery   JQuery默认的contentType:application/x-www-form-urlencoded    这才是JQuery正在乱码的原因,在未指定字符集的时候,是使用ISO-8859-1    ISO8859-1,通常叫做Latin-1.Latin-1包括了书写所有西方欧洲语言不可缺少的附加字符.   JQuery的Ajax根本没有考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oq4Ab.html" rel="bookmark">显卡驱动更新不了提示更新失败的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.有一些显卡型号它在bios上面将限制了显卡驱动的更新.只需要取消限制即可更新的显卡驱动.首先重启的你计算机,然后在重启中按住Del加进入到bios设置.找到&quot;Chipset Features Setup&quot;选项,将里面的&quot;Assign IRQ To VGA&quot;设置为&quot;Enable&quot;,然后保存退出.当然这种显卡型号一般是Matrox的显卡,但是如果你的显卡是ATI显卡的话,那么将显卡设置为标准VGA显卡在来重新安装显卡驱动,这样就能正常更新. 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6VLAb.html" rel="bookmark">jquery实现触发时更新下拉列表内容的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery实现触发时更新下拉列表内容的方法.分享给大家供大家参考,具体如下: 服务端假如有个请求地址用来返回所需数据 url:/hello 返回类似: 复制代码 代码如下: [{&quot;西瓜&quot;:10},{&quot;苹果&quot;:12},{&quot;香蕉&quot;:13},{&quot;芒果&quot;:14}] 这样的json数据 html: 按钮:&lt;input type=&quot;button&quot; id=&quot;btn&quot; value=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rZWkz.html" rel="bookmark">为什么ajax只执行一次</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么ajax只执行一次 登陆界面用ajax提交表单的方式进行登陆后,进入一个页面,若在此页面通过a标签返回到登陆页后就无法在进行登陆,ajax不再执行,请问这种方式要如何解决. 解决方案 说明没有进入success回调里面罗,应该是你的url配置的地址报错了,如登陆状态下请求这个url做了说明判断什么的导致出错了,ajax又没有配置error回调,所以和没反应一样,增加error回调输出服务器返回了什么内容 ,error:function(xhr){alert(xhr.respons			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKxZ8b.html" rel="bookmark">ajax-求大神解决AJAX问题，小弟快哭了。。。。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神解决AJAX问题,小弟快哭了.... 注册界面的表单验证,使用ajax post传输,可是总是返回not found.同样的代码我用于做其他的功能都没有问题.求大神帮忙啊,搞了一晚上了老是搞不定 &lt;script type=&quot;text/javascript&quot;&gt; /* ajax 的几个步骤: 1.建立XmlHttpRequest对象 2.设置回调函数 3.使用Open方法建立与服务器的连接 4.向服务器发送数据 5.在回调函数中针对不同响应状态进行处理 */ v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJARK4p.html" rel="bookmark">Windows 10更新失败的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Win10是现在十分热门的系统,因此很多用户都会装上它,但是不少用户装上它之后想要进行更新却失败了,那么当你遇到Win10更新失败怎么办?不知道的朋友赶紧看看小编整理的Win10更新失败的解决方法吧! 去微软反馈似乎没能得到解决,请看图:     解决方法: 1.点击Cortana(或叫做搜索). 2.输入&quot;控制面板&quot;,并点击[疑难解答]. [备注:如果没有疑难解答这一项目,你可以点击控制面板,在弹出的页面找到疑难解答就可以了.] 3.在弹出的页面中点击[使用&quot;Windows			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJKgJb.html" rel="bookmark" class="title">Cisco四种类型的防火墙技术汇总</a>
					<div>
						我们知道防火墙有四种类型:集成防火墙功能的路由器,集成防火墙功能的代理服务器,专用的软件防火墙和专用的软硬件结合的防火墙.Cisco的防火墙解决方案中包含了四种类型中的第一种和第四种,即:集成防火墙功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDN2rM.html" rel="bookmark" class="title">C语言链表的创建与排序</a>
					<div>
						include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; typedef struct STRUCT { int value; struct STRUCT *ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOGLWM.html" rel="bookmark" class="title">敏捷实施中的学习与阈限</a>
					<div>
						给读者的话:如果你是首次接触开放式敏捷实施的一系列文章,你可以先回过头去看看这一系列文章的第一部分.第二部分和第三部分.上篇文章(第三部分)描述了阈限(Liminality)的概念,在阅读本文之前,先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrw6Pp.html" rel="bookmark" class="title">DB2专家王云谈商业智能BI</a>
					<div>
						王云说:&quot;既然讲商业智能,我们大家都在讲及时性,我们讲要有绩效,要有BPM,我自己就来看看我们能不能在这个会场上,我们来实践一下,如果大家抬头看着我,我就讲,大家头低下去了,我就不讲,这就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPre8z.html" rel="bookmark" class="title">综合布线工作区与电信间安装工艺</a>
					<div>
						(1)工作区 1)工作区的通信引出端(又称信息插座)的安装工艺,宜符合以下规定. ①安装在地面上的信息插座接线盒应有防水和抗压的性能. ②安装在墙壁或柱子上的信息插座底盒.多用户信息插座盒与集合点配线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6BkDz.html" rel="bookmark" class="title">Excel将文本转换为数字的4种方法</a>
					<div>
						      当导入在另一程序(如 dBASE 或 Lotus 1-2-3)中创建的文件或导入从大型机下载的文件时,Excel 2003 可能会将其中的某些数字识别为文本.这将导致某些函数(如 SUM  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwRwRz.html" rel="bookmark" class="title">Linux系统中字符串搜索命令ngrep的用法</a>
					<div>
						  ngrep 是grep的网络版,他力求更多的grep特征,用于搜寻指定的数据包.由于安装ngrep需用到ibpcap库, 所以支持大量的操作系统和网络协议,能识别TCP.UDP和ICMP包. 安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa36Lz.html" rel="bookmark" class="title">一体机电脑玩游戏好不好</a>
					<div>
						  一体电脑因为空间和散热问题,配置不会太高,满足一般应用可以,高端配置建议购买DIY组装电脑.一体机最关键的是散热.最好别买性能太好的,因为发热会比较大!联想一体机的配置一般来说性价比要比苹果的一体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZD3qz.html" rel="bookmark" class="title">电脑该怎么设置宽带自动连接</a>
					<div>
						  1.打开浏览器,输入路由器地址(一般在路由器的背面可以看到); 2.输入路由器的用户名和密码; 3.进入路由器设置界面,展开左侧的&quot;网络参数&quot;,点击&quot;WAN口设置&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwBRVb.html" rel="bookmark" class="title">android 中文 api （87） &mdash;&mdash; BaseInputConnection</a>
					<div>
						前言 本章内容是android.view.inputmethod.BaseInputConnection,为输入法相关章节,版本为Android 2.3 r1,翻译来自&quot;六必治&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EVyXM.html" rel="bookmark" class="title">《JavaScript面向对象编程指南》&mdash;&mdash;导读</a>
					<div>
						前言 这本书旨在介绍JavaScript语言,这是一种具有高度表达能力的.基于原型特性的.非常灵活的面向对象程序设计语言.只要我们摒弃之前设计师所做的那种类似翻滚按钮的玩具思路,这种有趣的.独特的语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Zy9z.html" rel="bookmark" class="title">Java 正则表达式 分组</a>
					<div>
						问题描述 Java 正则表达式 分组 ((A)(B(C)))分组 第一组为((A)(B(C))) 第二组为A 第三组为((B(C)) 第四组为(C) 问题: 为什么第二组是A不是(A),A时什么? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYZaGp.html" rel="bookmark" class="title">网盘之战 空间来了 速度慢了 安全在哪里</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网盘之战终于平静下来了,我们貌似在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RwQqz.html" rel="bookmark" class="title">代码-asp&period;net页面执行超时&comma;页面无响应</a>
					<div>
						问题描述 asp.net页面执行超时,页面无响应 碰到一个问题,不知道如何解决,求大侠指点. 具体描述如下: 由于存储过程执行时间太长,需要一分多钟,然后asp.net页面就一直处于等待状态,没有响应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0P3PM.html" rel="bookmark" class="title">c语言-帮忙看看这个C语言程序</a>
					<div>
						问题描述 帮忙看看这个C语言程序 输入一个正整数n(1≤n≤6)和n 阶矩阵a 中的元素,如果a 是上三角矩阵,输出&quot;YES&quot;:否则,输出&quot;NO&quot;(上三角矩阵即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6jZp.html" rel="bookmark" class="title">大话存储系列7&mdash;&mdash;文件系统和IO处理流程</a>
					<div>
						1.文件系统 在早期的计算机系统中,每个程序都必须自己管理磁盘,在磁盘中放自己的数据,程序需要直接和磁盘控制器打交道.有多少个程序要利用磁盘,就有多少个磁盘交互启动接口. 在没有文件系统的计算机上,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2268kb.html" rel="bookmark" class="title">哪位大侠遇到过java虚拟机中线程这样死掉的现象，原因是什么呀</a>
					<div>
						问题描述 我在项目的开发过程中遇到了一个奇怪的现象,就是在任务管理器中看java进程没有占用太多的内存,但是,其中的一个线程内存溢出了,java.lang.outofmemory java heap  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW9yjM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;东风日产柴&rdquo;质量问题多，厂家推诿不理</a>
					<div>
						大梁断裂拷问&quot;东风日产柴&quot;质量搅拌运输车深陷&quot;搅拌&quot;里□ 谢忠义 本报记者 刘 艳近日,本报记者接到贵州众磊商品砼有限公司(以下简称众磊公司)投诉,称其于几年前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg7B4M.html" rel="bookmark" class="title">&lbrack;error&rsqb;&lbrack;&sol;usr&sol;local&sol;share&sol;perl5&sol;MHA&sol;Server&period;pm&comma; ln242&rsqb;  Getting relay log directory or current relay logfile from repication table failed</a>
					<div>
						MHA切换后检查主从复制出现: [root@Devops-mha-150 logs]# masterha_check_repl -conf=/etc/mha/10.66.150.117.cnf Tue ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBga6JM.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;7&period;20 当搜索引擎遇见知识图谱</a>
					<div>
						7.20 当搜索引擎遇见知识图谱 新世纪以来,基于文本信息检索的搜索引擎获得了巨大的成功,谷歌.必应.百度等商业搜索引擎彻底改变了人们获取信息的方式,影响着我们生活的方方面面.作为人工智能学科最著名, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22owkb.html" rel="bookmark" class="title">jquery mobile 和 spring security 的问题</a>
					<div>
						问题描述 jquery mobile 和 spring security 的问题 对jquery mobile 和 spring security不太熟悉. 现在有个项目用以前的架构: jquery  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw2a8M.html" rel="bookmark" class="title">微软XP将从3月8日开始弹窗通知停止技术支持</a>
					<div>
						硅谷网讯 延续13年寿命的微软http://www.aliyun.com/zixun/aggregation/34065.html&quot;&gt;WindowsXP操作系统,将会在4月8日停止更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkdWNM.html" rel="bookmark" class="title">android 捕获系统异常并上传日志具体实现&lowbar;Android</a>
					<div>
						在做项目时,经常会把错误利用异常抛出去,这样在开发时就可以通过手机抛出的异常排查错误.但是当程序开发完毕,版本稳定,需要上线时,为了避免抛出异常影响用户感受,可以用UncaughtExceptionH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1kEWb.html" rel="bookmark" class="title">C&plus;&plus;泛型算法的一些总结&lowbar;C 语言</a>
					<div>
						泛型算法的一些总结1.每个泛型算法的实现都独立于单独的容器,并且不依赖于容器存储的元素类型. 2.泛型算法从不直接添加或删除元素. 3.与容器的类型无关,只在一点上隐式地依赖元素类型:必须能够对元素做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNwj5p.html" rel="bookmark" class="title">php解析url的三个示例&lowbar;php实例</a>
					<div>
						方法一: 复制代码 代码如下: $url=&quot;http://www.baidu.com&quot;;  file_get_contents($url);  方法二: 复制代码 代码如下: // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zk6Vb.html" rel="bookmark" class="title">javascript 特性检测并非浏览器检测&lowbar;javascript技巧</a>
					<div>
						我大致翻译了部分文章,可能有理解错误的地方,敬请指正.值得一提的是,评论部分的争论亦值得一看. 特性检测 起初前端工程师们就极力反对浏览器检测,他们认为类似user-agent嗅探的方法是很不好的,理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QyNap.html" rel="bookmark" class="title">利用ps滤镜制作绚丽的彩色烟花效果</a>
					<div>
						最终效果   1.打开下图所示的闪电素材.   &lt;点小图查看大图&gt;   2.执行:滤镜--像素化--马赛克.       3.执行:滤镜--风格化--照亮边缘(此操作是为了提取方框线条), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNVvBp.html" rel="bookmark" class="title">ublime 前端 插件-关于Sublime text3的autofilename插件的问题。。。</a>
					<div>
						问题描述 关于Sublime text3的autofilename插件的问题... 最近准备上手Sublime text3,想对每一个插件详细了解下,但这个补全文件路径的插件有一个小疑问,在DW中 , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXX9Bz.html" rel="bookmark" class="title">中国企业海外并购&OpenCurlyDoubleQuote;井喷&rdquo; 资源能源同为首选</a>
					<div>
						用&quot;开门红&quot;来形容与中国相关的并购业务似乎已嫌不足,更确切地说是&quot;井喷&quot;.据中国商务部公布的数据,本次金融危机中,中国各公司加快了海外收购的步伐,其海外直接投资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWWgrp.html" rel="bookmark" class="title">MonetDB vs PostgreSQL 2&comma; width table with random data</a>
					<div>
						前面一篇简单的对比了一下PostgreSQL和MonetDB在bulk load和简单的统计查询的性能. 因为测试数据比较单一, 可能没有什么说服力.  本文测试环境与之前的一致, 但是使用宽表, 随 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.074 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
